<%@ Page Language="C#" 
    AutoEventWireup="true" 
    CodeFile="Default.aspx.cs" 
    MasterPageFile="~/Template.master" 
    Inherits="XZ.Web.UI.Admin._Default" 
    Title="XZ WebShop - Administration"
    meta:resourcekey="Page" %>
<asp:Content ID="MainContent" runat="server" ContentPlaceHolderID="MainContent">

<div class="sectiontitle"><asp:Literal ID="AdministrationTitle" runat="server" Text="Administration" meta:resourcekey="AdministrationTitle" /></div>
<p></p>

<asp:Panel runat="server" ID="panAdmin">
<div class="sectionsubtitle"><asp:Literal ID="AdminActionTitle" runat="server" Text="Actions for Administrators" meta:resourcekey="AdminActionTitle" /></div>
<ul style="list-style-type: square">
    <li><asp:HyperLink ID="ManageUsersHyperLink" runat="server" 
        NavigateUrl="~/Admin/ManageUsers.aspx" 
        Text="Manage Users" 
        meta:resourcekey="ManageUsersHyperLink" />: 
    <asp:Literal ID="ManageUsersLabel" runat="server" 
        Text="search for users by username or e-mail address, read and modify their profile, roles, and approved status." 
        meta:resourcekey="ManageUsersLabel" /></li>
</ul>
</asp:Panel>

<asp:Panel runat="server" ID="panStoreKeeper">
<div class="sectionsubtitle"><asp:Literal ID="ShopKeeperActionTitle" runat="server" Text="Actions for Store Keepers" meta:resourcekey="ShopKeeperActionTitle" /></div>
<ul style="list-style-type: square">
    <li><asp:HyperLink ID="ManageProductsHyperlink" runat="server" 
        NavigateUrl="~/Admin/ManageProducts.aspx" 
        Text="Manage Shop Catalog" 
        meta:resourcekey="ManageProductsHyperlink" />: 
    <asp:Literal ID="ManageProductsLabel" runat="server" 
        Text="add/edit/remove store categories, products, shipping methods and order statuses." 
        meta:resourcekey="ManageProductsLabel" /></li>
    <li><asp:HyperLink ID="ManageOrdersHyperLink" runat="server" 
        NavigateUrl="~/Admin/ManageOrders.aspx" 
        Text="Manage Orders" 
        meta:resourcekey="ManageOrdersHyperLink" />: 
    <asp:Literal ID="ManageOrdersLabel" runat="server" 
        Text="find, review and manage orders." 
        meta:resourcekey="ManageProductsLabel" /></li>
</ul>
</asp:Panel>

</asp:Content>