<%@ Page Language="C#" 
    MasterPageFile="~/Template.master" 
    AutoEventWireup="true" 
    CodeFile="EditUser.aspx.cs" 
    Inherits="XZ.Web.UI.Admin.EditUser" 
    Title="XZ WebShop - Edit User" %>
<%@ Register Src="../Controls/UserProfile.ascx" TagName="UserProfile" TagPrefix="mb" %>

<asp:Content ID="MainContent" ContentPlaceHolderID="MainContent" Runat="Server">
   <div class="sectiontitle"><asp:Literal runat="server" ID="UserInfoTitle" Text="General user information" meta:resourcekey="UserInfoTitle" /></div>
   <p></p>
   <table cellpadding="2">
      <tr>
         <td style="width: 110px;" class="fieldname"><asp:Literal runat="server" ID="UserNameLabel" Text="UserName" meta:resourcekey="UserNameLabel" />:</td>
         <td style="width: 300px;"><asp:Literal runat="server" ID="lblUserName" /></td>
      </tr>
      <tr>
         <td class="fieldname"><asp:Literal runat="server" ID="EmailLabel" Text="E-mail" meta:resourcekey="EmailLabel" />:</td>
         <td><asp:HyperLink runat="server" ID="lnkEmail" /></td>
      </tr>
      <tr>
         <td class="fieldname"><asp:Literal runat="server" ID="RegisteredLabel" Text="Registered" meta:resourcekey="RegisteredLabel" />:</td>
         <td><asp:Literal runat="server" ID="lblRegistered" /></td>
      </tr>
      <tr>
         <td class="fieldname"><asp:Literal runat="server" ID="LastLoginLabel" Text="Last Login" meta:resourcekey="LastLoginLabel" />:</td>
         <td><asp:Literal runat="server" ID="lblLastLogin" /></td>
      </tr>
      <tr>
         <td class="fieldname"><asp:Literal runat="server" ID="LastActivityLabel" Text="Last Activity" meta:resourcekey="LastActivityLabel" />:</td>
         <td><asp:Literal runat="server" ID="lblLastActivity" /></td>
      </tr>
      <tr>
         <td class="fieldname"><asp:Label runat="server" ID="lblOnlineNow" AssociatedControlID="chkOnlineNow" Text="Online Now:" meta:resourcekey="lblOnlineNow" /></td>
         <td><asp:CheckBox runat="server" ID="chkOnlineNow" Enabled="false" /></td>
      </tr>
      <tr>
         <td class="fieldname"><asp:Label runat="server" ID="lblApproved" AssociatedControlID="chkApproved" Text="Approved:" meta:resourcekey="lblApproved" /></td>
         <td><asp:CheckBox runat="server" ID="chkApproved" AutoPostBack="true" OnCheckedChanged="chkApproved_CheckedChanged" /></td>
      </tr>
      <tr>
         <td class="fieldname"><asp:Label runat="server" ID="lblLockedOut" AssociatedControlID="chkLockedOut" Text="Locked Out:" meta:resourcekey="lblLockedOut" /></td>
         <td><asp:CheckBox runat="server" ID="chkLockedOut" AutoPostBack="true" OnCheckedChanged="chkLockedOut_CheckedChanged" /></td>
      </tr>
   </table>
   <p></p>
   <div class="sectiontitle"><asp:Literal runat="server" ID="EditRolesLabel" Text="Edit user's roles" meta:resourcekey="EditRolesLabel" /></div>
   <p></p>
   <asp:CheckBoxList runat="server" ID="chklRoles" RepeatColumns="5" CellSpacing="4" />
   <table cellpadding="2" style="width: 450px;">
      <tr><td style="text-align: right;">
         <asp:Label runat="server" ID="lblRolesFeedbackOK" SkinID="FeedbackOK" Text="Roles updated successfully" meta:resourcekey="lblRolesFeedbackOK" Visible="false" />
         <asp:Button runat="server" ID="btnUpdateRoles" Text="Update" OnClick="btnUpdateRoles_Click" meta:resourcekey="btnUpdateRoles" />
      </td></tr>
      <tr><td style="text-align: right;">
         <small><asp:Literal runat="server" ID="CreateRoleLabel" Text="Create new role: " meta:resourcekey="CreateRoleLabel" /></small>
         <asp:TextBox runat="server" ID="txtNewRole" />
         <asp:RequiredFieldValidator ID="valRequireNewRole" runat="server" ControlToValidate="txtNewRole" SetFocusOnError="true"
            ErrorMessage="Role name is required." ToolTip="Role name is required." ValidationGroup="CreateRole" meta:resourcekey="valRequireNewRole">*</asp:RequiredFieldValidator>
         <asp:Button runat="server" ID="btnCreateRole" Text="Create" ValidationGroup="CreateRole" OnClick="btnCreateRole_Click" meta:resourcekey="btnCreateRole" />
      </td></tr>
   </table>
   <p></p>
   <div class="sectiontitle"><asp:Literal runat="server" ID="EditProfileLabel" Text="Edit user's profile: " meta:resourcekey="EditProfileLabel" /></div>
   <p></p>
   <mb:UserProfile ID="UserProfile1" runat="server" />
      <table cellpadding="2" style="width: 450px;">
      <tr><td style="text-align: right;">
         <asp:Label runat="server" ID="lblProfileFeedbackOK" SkinID="FeedbackOK" Text="Profile updated successfully" Visible="false" meta:resourcekey="lblProfileFeedbackOK" />
         <asp:Button runat="server" ID="btnUpdateProfile" ValidationGroup="EditProfile" Text="Update" OnClick="btnUpdateProfile_Click" meta:resourcekey="btnUpdateProfile" />
      </td></tr>
   </table>
</asp:Content>

