<%@ Page Language="C#" 
    MasterPageFile="~/Template.master" 
    AutoEventWireup="true" 
    CodeFile="ManageUsers.aspx.cs" 
    Inherits="XZ.Web.UI.Admin.ManageUsers" 
    Title="XZ WebShop - Account management" %>
<asp:Content ID="MainContent" ContentPlaceHolderID="MainContent" Runat="Server">
   <div class="sectiontitle"><asp:Literal runat="server" ID="AccountMgtTitle" Text="Account Management" meta:resourcekey="AccountMgtTitle" /></div>
   <p></p>
   <b><asp:Literal runat="server" ID="TotUsersLabel" Text="- Total registered users:" meta:resourcekey="TotUsersLabel" /> <asp:Literal runat="server" ID="lblTotUsers" /><br />
   <asp:Literal runat="server" ID="OnlineUsersLabel" Text="- Users online now:" meta:resourcekey="OnlineUsersLabel" /> <asp:Literal runat="server" ID="lblOnlineUsers" /></b>
   <p></p>
   <asp:Literal runat="server" ID="ClickLabel" Text="Click one of the following link to display all users whose name begins with that letter:" meta:resourcekey="ClickLabel" />
   <p></p>
   <asp:Repeater runat="server" ID="rptAlphabet" OnItemCommand="rptAlphabet_ItemCommand">
      <ItemTemplate><asp:LinkButton runat="server" Text='<%# Container.DataItem %>'
         CommandArgument='<%# Container.DataItem %>' />&nbsp;&nbsp;
      </ItemTemplate>
   </asp:Repeater>
   <p></p>
   <asp:Literal runat="server" ID="SearchLabel" Text="Otherwise use the controls below to search users by partial username or e-mail:" meta:resourcekey="SearchLabel" />
   <p></p>
   <asp:DropDownList runat="server" ID="ddlSearchTypes">
      <asp:ListItem Text="UserName" Selected="true" />
      <asp:ListItem Text="E-mail" />
   </asp:DropDownList> 
   <asp:Literal runat="server" ID="ContainsLabel" Text="contains " meta:resourcekey="ContainsLabel" />
   <asp:TextBox runat="server" ID="txtSearchText" /> 
   <asp:Button runat="server" ID="btnSearch" Text="Search" OnClick="btnSearch_Click" meta:resourcekey="btnSearch" />
   <p></p>
   <asp:GridView ID="gvwUsers" runat="server" AutoGenerateColumns="false" DataKeyNames="UserName"
      OnRowCreated="gvwUsers_RowCreated" OnRowDeleting="gvwUsers_RowDeleting">
      <Columns>
         <asp:BoundField HeaderText="UserName" DataField="UserName" meta:resourcekey="UserName" />
         <asp:HyperLinkField HeaderText="E-mail" DataTextField="Email" DataNavigateUrlFormatString="mailto:{0}" DataNavigateUrlFields="Email" meta:resourcekey="Email" />
         <asp:BoundField HeaderText="Created" DataField="CreationDate" DataFormatString="{0:MM/dd/yy h:mm tt}" meta:resourcekey="Created" />
         <asp:BoundField HeaderText="Last activity" DataField="LastActivityDate" DataFormatString="{0:MM/dd/yy h:mm tt}" meta:resourcekey="LastActivity" />
         <asp:CheckBoxField HeaderText="Approved" DataField="IsApproved" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center" meta:resourcekey="Approved" />
         <asp:HyperLinkField Text="<img src='../images/edit.gif' border='0' />" DataNavigateUrlFormatString="EditUser.aspx?UserName={0}" DataNavigateUrlFields="UserName" />
         <asp:ButtonField CommandName="Delete" ButtonType="Image" ImageUrl="~/images/delete.gif" />
      </Columns>
      <EmptyDataTemplate><b><asp:Literal runat="server" ID="NoUsersLabel" Text="No users found for the specified criteria" meta:resourcekey="NoUsersLabel" /></b></EmptyDataTemplate>
   </asp:GridView>
</asp:Content>

