using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace XZ.Web.UI
{
    public class CurrentUserShoppingCart
    {
        public static ICollection GetItems()
        {
            return (HttpContext.Current.Profile as ProfileCommon).ShoppingCart.Items;
        }

        public static void DeleteItem(Guid id)
        {
            (HttpContext.Current.Profile as ProfileCommon).ShoppingCart.DeleteItem(id);
        }

        public static void DeleteProduct(Guid id)
        {
            (HttpContext.Current.Profile as ProfileCommon).ShoppingCart.DeleteProduct(id);
        }
    }
}