<%@ Control Language="C#" 
    AutoEventWireup="true" 
    CodeFile="ShoppingCartBox.ascx.cs" 
    Inherits="XZ.Web.UI.Controls.ShoppingCartBox" %>
<div class="shoppingcartbox">
<div class="sectiontitle">
<asp:Image ID="imgArrow" runat="server" ImageUrl="~/images/arrowr.gif"
   style="float: left; margin-left: 3px; margin-right: 3px;" GenerateEmptyAlternateText="True" meta:resourcekey="imgArrowResource1" />
   <asp:Literal runat="server" ID="lblTitle" meta:resourcekey="lblTitle" Text="Shopping Cart"></asp:Literal>
</div>
<div class="shoppingcartboxcontent">   
   <asp:Repeater runat="server" ID="repOrderItems">
      <ItemTemplate>
         <small>
         <asp:Image runat="Server" ID="imgProduct" ImageUrl="~/Images/ArrowR3.gif" GenerateEmptyAlternateText="true" />
         <%# Eval("Title") %> - <%# (this.Page as XZ.Web.UI.BasePage).FormatPrice(Eval("UnitPrice"))%> &nbsp;&nbsp;<small>(<%# Eval("Quantity") %>)
         <br /></small>
      </ItemTemplate>      
   </asp:Repeater>
   <br />
   <b><asp:Literal runat="server" ID="lblSubtotalHeader" Text="Subtotal = " meta:resourcekey="lblSubtotalHeaderResource1" /><asp:Literal runat="server" ID="lblSubtotal" meta:resourcekey="lblSubtotal" /></b>
   <asp:Literal runat="server" ID="lblCartIsEmpty" Text="Your cart is currently empty." meta:resourcekey="lblCartIsEmpty" />
   <p></p>
   <asp:Panel runat="server" ID="panLinkShoppingCart">
      <asp:HyperLink runat="server" ID="lnkShoppingCart" NavigateUrl="~/ShoppingCart.aspx" Text="Detailed Shopping Cart" meta:resourcekey="lnkShoppingCart" /><br />
   </asp:Panel>
   <asp:HyperLink runat="server" ID="lnkOrderHistory" NavigateUrl="~/OrderHistory.aspx" Text="Order History" meta:resourcekey="lnkOrderHistory" />
</div>
</div>
