﻿<%@ Page Language="C#" 
    AutoEventWireup="true" 
    ContentType="text/xml" 
    MaintainScrollPositionOnPostback="false" 
    EnableTheming="false" 
    CodeFile="GetProductsRss.aspx.cs" 
    Inherits="XZ.Web.UI.GetProductsRss" %>
<head runat="server" visible="false"></head>

<asp:Repeater id="rptRss" runat="server">
   <HeaderTemplate>
      <rss version="2.0">
         <channel>
            <title><![CDATA[XZ WebShop: <%# RssTitle %>]]></title>
            <link><%# FullBaseUrl %></link>
            <description><asp:Literal ID="litDescription" runat="server" Text="XZ WebShop: products" /></description>
            <copyright>Copyright 2007 by Hugo Scheepens</copyright>
   </HeaderTemplate>
   <ItemTemplate>
      <item>
         <title><![CDATA[<%# Eval("Title") %>]]></title>
         <author></author>
         <description></description>
         <link><![CDATA[<%# FullBaseUrl + "ShowProduct.aspx?ID=" + Eval("ID") %>]]></link>
         <pubDate><%# string.Format("{0:R}", Eval("AddedDate")) %></pubDate>
      </item>
   </ItemTemplate>
   <FooterTemplate>
         </channel>
      </rss>  
   </FooterTemplate>
</asp:Repeater>