<%@ Page Language="C#" 
    MasterPageFile="~/Template.master" 
    AutoEventWireup="true" 
    CodeFile="OrderHistory.aspx.cs" 
    Inherits="XZ.Web.UI.OrderHistory" 
    Title="XZ WebShop - Order History" %>
<%@ MasterType VirtualPath="~/Template.master" %>

<asp:Content ID="MainContent" ContentPlaceHolderID="MainContent" Runat="Server">
   <div class="sectiontitle">Order History</div>
   <p></p>
   <asp:Literal ID="MainContentLabel" runat="server" Text="Follows the list of orders you've submitted in the past, with their current status:" meta:resourcekey="MainContentLabel" />
   <p></p>
   <asp:DataList runat="server" ID="dlstOrders">
      <ItemTemplate>
         <div class="sectionsubtitle"><asp:Literal ID="OrderNoLabel" runat="server" Text="Order #" meta:resourcekey="OrderNoLabel" /><%# Eval("ID") %> - <%# Eval("AddedDate", "{0:g}") %></div>
         <br />
         <img src="Images/ArrowR4.gif" border="0" alt="" /> <u><asp:Literal ID="TotalLabel" runat="server" Text="Total" meta:resourcekey="TotalLabel" /></u> = <%# FormatPrice((decimal)Eval("SubTotal") + (decimal)Eval("Shipping")) %><br />
         <img src="Images/ArrowR4.gif" border="0" alt="" /> <u><asp:Literal ID="StatusLabel" runat="server" Text="Status" meta:resourcekey="StatusLabel" /></u> = <%# Eval("StatusTitle") %> 
         &nbsp;&nbsp;&nbsp;
         <asp:HyperLink runat="server" ID="lnkPay" Font-Bold="true" Text="Pay Now"
            NavigateUrl='<%# (Container.DataItem as XZ.Logistics.WebShop.Order).GetPayPalPaymentUrl() %>'
            Visible = '<%# ((int)Eval("StatusID")) == 1 %>' meta:resourcekey="lnkPay" />
         <p></p>         
         <small>
         <b><asp:Literal ID="DetailsLabel" runat="server" Text="Details" meta:resourcekey="DetailsLabel" /></b><br />
         <asp:Repeater runat="server" ID="repOrderItems" DataSource='<%# Eval("Items") %>'>
            <ItemTemplate>
               <img src="Images/ArrowR3.gif" border="0" alt="" />
               <%# Eval("Title") %> - <%# FormatPrice(Eval("UnitPrice")) %> &nbsp;&nbsp;<small>(Quantity = <%# Eval("Quantity") %>)</small>
               <br />
            </ItemTemplate>
         </asp:Repeater>
         <br />
         <asp:Literal ID="SubtotalLabel" runat="server" Text="Subtotal" meta:resourcekey="SubtotalLabel" /> = <%# FormatPrice(Eval("SubTotal")) %><br />
         <asp:Literal ID="ShippingMethodLabel" runat="server" Text="Shipping Method" meta:resourcekey="ShippingMethodLabel" /> = <%# Eval("ShippingMethod") %> (<%# FormatPrice(Eval("Shipping")) %>)         
         </small>
      </ItemTemplate>
      <SeparatorTemplate>
         <hr style="width: 99%;" />
      </SeparatorTemplate>
   </asp:DataList>
</asp:Content>

